<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/dp_16"
        android:src="@mipmap/ic_close_dialog2"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginBottom="@dimen/dp_18"
        app:layout_constraintBottom_toTopOf="@id/layout_content" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@mipmap/ic_seat_auth_bg"
            app:layout_constraintDimensionRatio="h,1125:870"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@color/white"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_bg" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_44"
            android:text="席位授权"
            android:textColor="@color/color_222222"
            android:textSize="@dimen/sp_18"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_4"
            android:text="请谨慎操作~"
            android:textColor="@color/color_222222"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="@id/tv_title"
            app:layout_constraintTop_toBottomOf="@id/tv_title" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_phone"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_52"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_16"
            android:background="@drawable/shape_white_line_cor8"
            android:gravity="center_vertical"
            android:hint="请输入授权者手机号"
            android:inputType="number"
            android:maxLength="11"
            android:maxLines="1"
            android:paddingStart="@dimen/dp_12"
            android:paddingEnd="@dimen/dp_50"
            android:singleLine="true"
            android:textColorHint="@color/color_bcbcbc"
            android:textSize="@dimen/sp_15"
            app:layout_constraintTop_toBottomOf="@id/tv_desc" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_clear_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_14"
            android:padding="@dimen/dp_3"
            android:src="@mipmap/ic_clear_text"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/et_phone"
            app:layout_constraintEnd_toEndOf="@id/et_phone"
            app:layout_constraintTop_toTopOf="@id/et_phone" />

        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_50"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_50"
            android:gravity="center"
            android:text="注：授权者需提前到设置-绑定账号-手机号绑定才能正常授权"
            android:textColor="@color/color_999999"
            app:layout_constraintTop_toBottomOf="@id/et_phone" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_1"
            android:layout_marginTop="@dimen/dp_30"
            android:background="@color/color_eeeeee"
            app:layout_constraintTop_toBottomOf="@id/tv_tip" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/color_eeeeee"
            app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingStart="@dimen/dp_16"
            android:paddingTop="@dimen/dp_9"
            android:paddingEnd="@dimen/dp_16"
            android:paddingBottom="@dimen/dp_9"
            app:layout_constraintTop_toBottomOf="@id/view_line">

            <com.cheng.blzb.widget.CommonShapeView
                android:id="@+id/btn_next"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_46"
                android:fontFamily="sans-serif-medium"
                android:text="确定"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_16"
                app:csb_cornerRadius="@dimen/dp_10"
                app:csb_fillColor="@color/color_125ffe"
                app:layout_constraintDimensionRatio="h,351:46"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>